%define name 	boxbackup
%define version 0.11rc2
%define release %mkrel 1

Summary:        An open source, completely automatic on-line backup system for UNIX
Name:	 	%{name}
Version: 	%{version}
Release: 	%{release}
URL:		http://www.boxbackup.org/
License:        GPLv2+
Group:          Archiving/Other
Source:         %{name}-%{version}.tar.bz2
Patch:          boxbackup-missing_includes.patch
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  libedit-devel
BuildRequires:  db43-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
    * Documentation is on-line at:  http://www.boxbackup.org

    * All backed up data is stored on the server in files on a filesystem -- no tape or archive devices are used
    * The server is trusted only to make files available when they are required -- all data is encrypted
    * A backup daemon runs on systems to be backed up, and copies encrypted data to the server when it notices changes
    * Only changes within files are sent to the server, just like rsync
    * Old versions of files on the server are stored as changes from the current version
    * Behaves like tape -- old versions and deleted files are available
    * Choice of backup behaviour, optimised for document or serverbackup
    * Designed to be easy and cheap to run a server. Portable
      implementation, and RAID implemented in userland for reliability
      without complex server setup or expensive hardware. (optional) 


%package server
Summary:        An open source, completely automatic on-line backup system for UNIX. 
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}

%description server
    * All backed up data is stored on the server in files on a filesystem -- no tape or archive devices are used
    * The server is trusted only to make files available when they are required -- all data is encrypted
    * A backup daemon runs on systems to be backed up, and copies encrypted data to the server when it notices changes
    * Only changes within files are sent to the server, just like rsync
    * Old versions of files on the server are stored as changes from the current version
    * Behaves like tape -- old versions and deleted files are available
    * Choice of backup behaviour, optimised for document or serverbackup
    * Designed to be easy and cheap to run a server. Portable
      implementation, and RAID implemented in userland for reliability
      without complex server setup or expensive hardware. (optional) 


%prep
%setup -n boxbackup-0.11rc2
%patch -p1

%build
if test -x ./configure; then
	%configure --with-bdb-headers=%{_includedir}/db43 --with-bdb-lib=%{_libdir}/db4
fi
make

%install
mkdir -p %{buildroot}
mkdir -p %{buildroot}%{_bindir}

make DESTDIR=%buildroot  install-backup-client
make DESTDIR=%buildroot  install-backup-server

rm %{buildroot}%{_bindir}/LICENSE.txt

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/bbackupctl
%{_bindir}/bbackupd
%{_bindir}/bbackupd-config
%{_bindir}/bbackupquery

%files server
%defattr(-,root,root)
%{_bindir}/bbstoreaccounts
%{_bindir}/bbstored
%{_bindir}/bbstored-certs
%{_bindir}/bbstored-config
%{_bindir}/raidfile-config


%changelog
* Wed May 13 2009 don_crissti <don_crissti@gmx.com> 0.10-1pclos2009
- build for PCLOS

